/*
 * $Id: Generator_getParam.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Configuration/include/Generator.h"

namespace morpheo {
namespace behavioural {
namespace configuration {

#undef  FUNCTION
#define FUNCTION "Generator::getParam"
  Parameter_definition * Generator::getParam (std::string name)
  {
    log_begin(Configuration,FUNCTION);

    std::map<std::string, Parameter_definition *>::iterator it_param = _array_param->find(name);
    
    if (it_param == _array_param->end())
      {
        throw (ERRORMORPHEO(FUNCTION,toString(_("Parameter \"%s\" is unknow.\n"),name.c_str())));
      }

    log_end(Configuration,FUNCTION);

    return it_param->second;
  };

}; // end namespace configuration
}; // end namespace behavioural
}; // end namespace morpheo              
